Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalTheme

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalTheme

Direct Known Subclasses:
  DefaultMetalTheme

public abstract class MetalTheme
extends Object

This interface acts as a generic way to describe the colors used by Metal. Classes which implement this interface can be used to swap the colors in a Metal application.

Constructor Summary
`MetalTheme()`

Method Summary
`void` | `addCustomEntriesToTable(UIDefaults table)`
`ColorUIResource` | `getAcceleratorForeground()`
`ColorUIResource` | `getAcceleratorSelectedForeground()`
`protected ColorUIResource` | `getBlack()`
`ColorUIResource` | `getControl()`
`ColorUIResource` | `getControlDarkShadow()`
`ColorUIResource` | `getControlDisabled()`
`ColorUIResource` | `getControlHighlight()`
`ColorUIResource` | `getControlInfo()`
`ColorUIResource` | `getControlShadow()`
`ColorUIResource` | `getControlTextColor()`
`abstract FontUIResource` | `getControlTextFont()`
`ColorUIResource` | `getDesktopColor()`
`ColorUIResource` | `getFocusColor()`
`ColorUIResource` | `getHighlightedTextColor()`
`ColorUIResource` | `getInactiveControlTextColor()`
`ColorUIResource` | `getInactiveSystemTextColor()`
`ColorUIResource` | `getMenuBackground()`
`ColorUIResource` | `getMenuDisabledForeground()`
`ColorUIResource` | `getMenuForeground()`
`ColorUIResource` | `getMenuSelectedBackground()`
`ColorUIResource` | `getMenuSelectedForeground()`
`abstract FontUIResource` | `getMenuTextFont()`
`abstract String` | `getName()`
`protected abstract ColorUIResource` | `getPrimary1()`
`protected abstract ColorUIResource` | `getPrimary2()`
`protected abstract ColorUIResource` | `getPrimary3()`
`ColorUIResource` | `getPrimaryControl()`
`ColorUIResource` | `getPrimaryControlDarkShadow()`
`ColorUIResource` | `getPrimaryControlHighlight()`
`ColorUIResource` | `getPrimaryControlInfo()`
`ColorUIResource` | `getPrimaryControlShadow()`
`protected abstract ColorUIResource` | `getSecondary1()`
`protected abstract ColorUIResource` | `getSecondary2()`
`protected abstract ColorUIResource` | `getSecondary3()`
`ColorUIResource` | `getSeparatorBackground()`
`ColorUIResource` | `getSeparatorForeground()`
`abstract FontUIResource` | `getSubTextFont()`
`ColorUIResource` | `getSystemTextColor()` Returns the color used, by default, for the text in labels and titled borders.
`abstract FontUIResource` | `getSystemTextFont()`
`ColorUIResource` | `getTextHighlightColor()`
`ColorUIResource` | `getUserTextColor()`
`abstract FontUIResource` | `getUserTextFont()`
`protected ColorUIResource` | `getWhite()`
`ColorUIResource` | `getWindowBackground()`
`ColorUIResource` | `getWindowTitleBackground()`
`abstract FontUIResource` | `getWindowTitleFont()`
`ColorUIResource` | `getWindowTitleForeground()`
`ColorUIResource` | `getWindowTitleInactiveBackground()`
`ColorUIResource` | `getWindowTitleInactiveForeground()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalTheme

    public MetalTheme()

Method Detail

### getName

    public abstract String getName()

### getPrimary1

    protected abstract ColorUIResource getPrimary1()

### getPrimary2

    protected abstract ColorUIResource getPrimary2()

### getPrimary3

    protected abstract ColorUIResource getPrimary3()

### getSecondary1

    protected abstract ColorUIResource getSecondary1()

### getSecondary2

    protected abstract ColorUIResource getSecondary2()

### getSecondary3

    protected abstract ColorUIResource getSecondary3()

### getControlTextFont

    public abstract FontUIResource getControlTextFont()

### getSystemTextFont

    public abstract FontUIResource getSystemTextFont()

### getUserTextFont

    public abstract FontUIResource getUserTextFont()

### getMenuTextFont

    public abstract FontUIResource getMenuTextFont()

### getWindowTitleFont

    public abstract FontUIResource getWindowTitleFont()

### getSubTextFont

    public abstract FontUIResource getSubTextFont()

### getWhite

    protected ColorUIResource getWhite()

### getBlack

    protected ColorUIResource getBlack()

### getFocusColor

    public ColorUIResource getFocusColor()

### getDesktopColor

    public ColorUIResource getDesktopColor()

### getControl

    public ColorUIResource getControl()

### getControlShadow

    public ColorUIResource getControlShadow()

### getControlDarkShadow

    public ColorUIResource getControlDarkShadow()

### getControlInfo

    public ColorUIResource getControlInfo()

### getControlHighlight

    public ColorUIResource getControlHighlight()

### getControlDisabled

    public ColorUIResource getControlDisabled()

### getPrimaryControl

    public ColorUIResource getPrimaryControl()

### getPrimaryControlShadow

    public ColorUIResource getPrimaryControlShadow()

### getPrimaryControlDarkShadow

    public ColorUIResource getPrimaryControlDarkShadow()

### getPrimaryControlInfo

    public ColorUIResource getPrimaryControlInfo()

### getPrimaryControlHighlight

    public ColorUIResource getPrimaryControlHighlight()

### getSystemTextColor

    public ColorUIResource getSystemTextColor()

  Returns the color used, by default, for the text in labels and titled borders.

### getControlTextColor

    public ColorUIResource getControlTextColor()

### getInactiveControlTextColor

    public ColorUIResource getInactiveControlTextColor()

### getInactiveSystemTextColor

    public ColorUIResource getInactiveSystemTextColor()

### getUserTextColor

    public ColorUIResource getUserTextColor()

### getTextHighlightColor

    public ColorUIResource getTextHighlightColor()

### getHighlightedTextColor

    public ColorUIResource getHighlightedTextColor()

### getWindowBackground

    public ColorUIResource getWindowBackground()

### getWindowTitleBackground

    public ColorUIResource getWindowTitleBackground()

### getWindowTitleForeground

    public ColorUIResource getWindowTitleForeground()

### getWindowTitleInactiveBackground

    public ColorUIResource getWindowTitleInactiveBackground()

### getWindowTitleInactiveForeground

    public ColorUIResource getWindowTitleInactiveForeground()

### getMenuBackground

    public ColorUIResource getMenuBackground()

### getMenuForeground

    public ColorUIResource getMenuForeground()

### getMenuSelectedBackground

    public ColorUIResource getMenuSelectedBackground()

### getMenuSelectedForeground

    public ColorUIResource getMenuSelectedForeground()

### getMenuDisabledForeground

    public ColorUIResource getMenuDisabledForeground()

### getSeparatorBackground

    public ColorUIResource getSeparatorBackground()

### getSeparatorForeground

    public ColorUIResource getSeparatorForeground()

### getAcceleratorForeground

    public ColorUIResource getAcceleratorForeground()

### getAcceleratorSelectedForeground

    public ColorUIResource getAcceleratorSelectedForeground()

### addCustomEntriesToTable

    public void addCustomEntriesToTable(UIDefaults table)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.